Markets
Get Market Config
Retrieve the on-chain market configuration parameters
GET
/
lending-stocks
/
api
/
markets
/
{marketId}
/
config
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/config" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"collateralFactor": "7500",
"liquidationThreshold": "8500",
"liquidationPenalty": "500",
"protocolFeeRate": "2500",
"minBorrowAmount": "100.000000",
"maxPriceAge": "86400",
"closeFactor": "5000",
"maxTotalCollateral": "0.000000000000000000",
"maxUserCollateral": "0.000000000000000000",
"useDutchAuction": false,
"auctionDuration": "3600",
"auctionStartPremium": "13000",
"auctionMinPremium": "9500"
}
}
Returns the current smart contract configuration for a lending market, including collateral factor, liquidation threshold, penalty, fee rates, supply caps, and auction settings.
Path Parameters
string
required
Market ID.
Response Fields
object
Show child attributes
Show child attributes
string
Max LTV in basis points (e.g.
7500 = 75%)string
Health factor trigger in basis points
string
Penalty on liquidated debt in basis points
string
Issuer fee rate in basis points
string
Minimum USDC borrow (formatted)
string
Maximum oracle price age in seconds
string
Max liquidatable fraction per call in basis points
boolean
Whether Dutch auction mode is enabled
string
Auction duration in seconds
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/config" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"collateralFactor": "7500",
"liquidationThreshold": "8500",
"liquidationPenalty": "500",
"protocolFeeRate": "2500",
"minBorrowAmount": "100.000000",
"maxPriceAge": "86400",
"closeFactor": "5000",
"maxTotalCollateral": "0.000000000000000000",
"maxUserCollateral": "0.000000000000000000",
"useDutchAuction": false,
"auctionDuration": "3600",
"auctionStartPremium": "13000",
"auctionMinPremium": "9500"
}
}
⌘I
curl "https://api.trusset.org/lending-stocks/api/markets/{marketId}/config" \
-H "X-API-Key: trusset_your_key_here"
{
"success": true,
"data": {
"collateralFactor": "7500",
"liquidationThreshold": "8500",
"liquidationPenalty": "500",
"protocolFeeRate": "2500",
"minBorrowAmount": "100.000000",
"maxPriceAge": "86400",
"closeFactor": "5000",
"maxTotalCollateral": "0.000000000000000000",
"maxUserCollateral": "0.000000000000000000",
"useDutchAuction": false,
"auctionDuration": "3600",
"auctionStartPremium": "13000",
"auctionMinPremium": "9500"
}
}
